CppUnit - The Unit Testing Library

CppUnit project page | FAQ

Public Member Functions | Protected Member Functions | List of all members
TestRunner::WrappingSuite Class Reference

(INTERNAL) Mutating test suite. More...

`#include <TestRunner.h>`

Inheritance diagram for TestRunner::WrappingSuite:

## Public Member Functions
| WrappingSuite (const std::string &name="All Tests")
int | getChildTestCount () const
| Returns the number of direct child of the test. More...
std::string | getName () const
| Returns the test name. More...
void | run (TestResult *result)
| Run the test, collecting results. More...
Public Member Functions inherited from TestSuite
| TestSuite (std::string name="")
| Default constructor. More...
| ~TestSuite ()
| Destructor. More...
void | addTest (Test *test)
| Adds a test to the suite. More...
const CppUnitVector< Test * > & | getTests () const
virtual void | deleteContents ()
| Deletes all tests in the suite. More...
int | getChildTestCount () const
| Returns the number of direct child of the test. More...
Test * | doGetChildTestAt (int index) const
| Returns the child test of the specified valid index. More...
Public Member Functions inherited from TestComposite
| TestComposite (const std::string &name="")
| ~TestComposite ()
int | countTestCases () const
| Return the number of test cases invoked by run(). More...
Public Member Functions inherited from Test
virtual | ~Test ()
virtual Test * | getChildTestAt (int index) const
| Returns the child test of the specified index. More...
virtual bool | findTestPath (const std::string &testName, TestPath &testPath) const
| Finds the test with the specified name and its parents test. More...
virtual bool | findTestPath (const Test *test, TestPath &testPath) const
| Finds the specified test and its parents test. More...
virtual Test * | findTest (const std::string &testName) const
| Finds the test with the specified name in the hierarchy. More...
virtual TestPath | resolveTestPath (const std::string &testPath) const
| Resolved the specified test path with this test acting as 'root'. More...

## Protected Member Functions
Test * | doGetChildTestAt (int index) const
| Returns the child test of the specified valid index. More...
bool | hasOnlyOneTest () const
Test * | getUniqueChildTest () const
Protected Member Functions inherited from Test
virtual void | checkIsValidIndex (int index) const

## Detailed Description

(INTERNAL) Mutating test suite.

## Constructor & Destructor Documentation

## § WrappingSuite()

CPPUNIT_NS_BEGIN TestRunner::WrappingSuite::WrappingSuite | ( | const std::string & | name = `"All Tests"` | ) |

## Member Function Documentation

## § doGetChildTestAt()

Test * TestRunner::WrappingSuite::doGetChildTestAt | ( | int | index | ) | const
| protectedvirtual

Returns the child test of the specified valid index.

Parameters

  index | Zero based valid index of the child test to return.

Returns
  Pointer on the test. Never `NULL`.

Implements Test.

## § getChildTestCount()

int TestRunner::WrappingSuite::getChildTestCount | ( |  | ) | const
| virtual

Returns the number of direct child of the test.

Implements Test.

## § getName()

std::string TestRunner::WrappingSuite::getName | ( |  | ) | const
| virtual

Returns the test name.

Each test has a name. This name may be used to find the test in a suite or registry of tests.

Reimplemented from TestComposite.

## § getUniqueChildTest()

Test * TestRunner::WrappingSuite::getUniqueChildTest | ( |  | ) | const
| protected

## § hasOnlyOneTest()

bool TestRunner::WrappingSuite::hasOnlyOneTest | ( |  | ) | const
| protected

## § run()

void TestRunner::WrappingSuite::run | ( | TestResult * | result | ) |
| virtual

Run the test, collecting results.

Reimplemented from TestComposite.

The documentation for this class was generated from the following files:

- cppunit/TestRunner.h
- TestRunner.cpp

| Send comments to: CppUnit Developers